package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletOrderItemDateLog;

/**
 * 订单信息表Service接口
 *
 * @author daixiande
 */
public interface IAppletOrderItemDateLogService {
    /**
     * 查询订单信息表
     *
     * @param id 订单信息表主键
     * @return 订单信息表
     */
    AppletOrderItemDateLog selectAppletOrderItemDateLogById(Long id);
    AppletOrderItemDateLog selectAppletOrderItemDateLogByItemDateId(Long itemDateId);

    /**
     * 查询订单信息表列表
     *
     * @param appletOrderItemDateLog 订单信息表
     * @return 订单信息表集合
     */
    List<AppletOrderItemDateLog> selectAppletOrderItemDateLogList(AppletOrderItemDateLog appletOrderItemDateLog);

    /**
     * 新增订单信息表
     *
     * @param appletOrderItemDateLog 订单信息表
     * @return 结果
     */
    int insertAppletOrderItemDateLog(AppletOrderItemDateLog appletOrderItemDateLog);

    /**
     * 修改订单信息表
     *
     * @param appletOrderItemDateLog 订单信息表
     * @return 结果
     */
    int updateAppletOrderItemDateLog(AppletOrderItemDateLog appletOrderItemDateLog);

    /**
     * 批量删除订单信息表
     *
     * @param ids 需要删除的订单信息表主键集合
     * @return 结果
     */
    int deleteAppletOrderItemDateLogByIds(Long[] ids);

    /**
     * 删除订单信息表信息
     *
     * @param id 订单信息表主键
     * @return 结果
     */
    int deleteAppletOrderItemDateLogById(Long id);
}
